Last Comment Bug 634088 - Use native rendering for indeterminate progress bar (Cocoa)
: Use native rendering for indeterminate progress bar (Cocoa)
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Cocoa (show other bugs)
: Trunk
: All All
-- normal with 1 vote (vote)
: mozilla6
Assigned To: Mounir Lamouri (:mounir)
:
: Markus Stange [:mstange]
Mentors:
Depends on: 633913
Blocks: 633207 634086
  Show dependency treegraph
 
Reported: 2011-02-14 14:38 PST by Mounir Lamouri (:mounir)
Modified: 2011-05-10 07:10 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (3.35 KB, patch)
2011-02-16 00:30 PST, Mounir Lamouri (:mounir)
mstange: review+
Details | Diff | Splinter Review
Patch v1.1 (3.27 KB, patch)
2011-02-16 01:43 PST, Mounir Lamouri (:mounir)
no flags Details | Diff | Splinter Review
Patch v1.2 (4.30 KB, patch)
2011-02-17 08:17 PST, Mounir Lamouri (:mounir)
roc: review+
Details | Diff | Splinter Review

Description User image Mounir Lamouri (:mounir) 2011-02-14 14:38:37 PST
The widget is ready for that but it would required looking at the content states. Should be easy.
Comment 1 User image Mounir Lamouri (:mounir) 2011-02-16 00:30:05 PST
Created attachment 512730 [details] [diff] [review]
Patch v1
Comment 2 User image Markus Stange [:mstange] 2011-02-16 01:07:56 PST
Comment on attachment 512730 [details] [diff] [review]
Patch v1

Looks good, but please request another review from roc because I'm not a peer for the xpwidgets code.

One thing: I'm not sure whether you should bother with the content null check since we mostly skip it in the rest of the file. The only cases when I've seen frames with null content was during frame destruction and when the frame is an nsViewportFrame, and none of those cases can be hit in native theme drawing as far as I know.
Comment 3 User image Mounir Lamouri (:mounir) 2011-02-16 01:43:20 PST
Created attachment 512748 [details] [diff] [review]
Patch v1.1

r=mstange
Comment 4 User image Mounir Lamouri (:mounir) 2011-02-17 08:17:15 PST
Created attachment 513140 [details] [diff] [review]
Patch v1.2

I realized I should use nsWidgetAtoms intsead of nsGkAtoms.
Comment 5 User image Mounir Lamouri (:mounir) 2011-05-09 05:39:33 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/00d5a081d5d3
Comment 6 User image Shawn Wilsher :sdwilsh 2011-05-09 16:11:36 PDT
Backed out in http://hg.mozilla.org/mozilla-central/rev/dd9ba28d2bd9 to resolve bug 655860.
Comment 7 User image Mounir Lamouri (:mounir) 2011-05-10 06:58:54 PDT
The regression wasn't caused by these patches. Re-landed:
http://hg.mozilla.org/mozilla-central/rev/9e265e80c3ff

Note You need to log in before you can comment on or make changes to this bug.